Bug 2130991 - F37 background format being changed to webp breaks XFCE background
Summary: F37 background format being changed to webp breaks XFCE background
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-09-29 15:43 UTC by Mamoru TASAKA
Modified: 2022-11-16 19:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Mamoru TASAKA 2022-09-29 15:43:04 UTC
Description of problem:
With https://bodhi.fedoraproject.org/updates/FEDORA-2022-a5622b766b Fedora 37 default wallpaper changes the format from png to webp, breaking XFCE spin background

Version-Release number of selected component (if applicable):
lightdm-gtk-2.0.8-3.fc36
xfdesktop-4.16.1-1.fc37
f37-backgrounds-37.0.2-1.fc37
desktop-backgrounds-37.0.0-2.fc37

How reproducible:
100%

Steps to Reproduce:
1. Apply FEDORA-2022-a5622b766b update
2. Try to login to XFCE session, using LightDM login manager
3.

Actual results:
LightDM login manager, XFCE session both shows static color background, no Stonehenge-like F37 default background

Expected results:


Additional info:

Comment 2 Adam Williamson 2022-09-30 16:44:24 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/936 , marking accepted.

Comment 3 Mukundan Ragavan 2022-10-03 23:57:47 UTC
I will fix this for xfce.

Comment 4 Mukundan Ragavan 2022-10-09 20:09:08 UTC
Looks like this is fixed by desktop-backgrounds 37...4 build.

I went ahead and updated xfdesktop (quite late)

https://src.fedoraproject.org/rpms/xfdesktop/c/e71f34dfded5fddc69158da6095a1bb85ea9bafe?branch=rawhide

I am not going to submit this build for F37 update since it is no longer needed.

Can this bug be closed?

Comment 5 Adam Williamson 2022-10-10 06:02:19 UTC
There is still an active update for F37:

https://bodhi.fedoraproject.org/updates/FEDORA-2022-a5622b766b

so I guess you could do a build and we could edit it into that update. It seems like Luya added back the png files alongside the webp ones, so xfce works again, so it might not be strictly necessary, though.

Comment 6 Mamoru TASAKA 2022-11-13 01:21:18 UTC
I believe for at least for F-37 we no longer have to modify XFCE side.

Comment 7 Adam Williamson 2022-11-16 19:48:35 UTC
seems luya did push https://bodhi.fedoraproject.org/updates/FEDORA-2022-a5622b766b stable, but I think it contains both webp and png now, so it's probably still ok.


Note You need to log in before you can comment on or make changes to this bug.